Bug 43343 - Anaconda explodes when trying to mount raid device
Summary: Anaconda explodes when trying to mount raid device
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-03 13:43 UTC by Clay Atkins
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 13:58:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump from anaconda during install (9.92 KB, application/octet-stream)
2001-06-03 13:44 UTC, Clay Atkins
no flags Details
Mr. Atkin's anacdump (9.92 KB, text/plain)
2001-06-04 15:52 UTC, Panic
no flags Details

Description Clay Atkins 2001-06-03 13:43:14 UTC
Errors mounting scsi devices then error mounting raid device.  Saved 
script errors shown on screen into a file anacdump.

Comment 1 Clay Atkins 2001-06-03 13:44:19 UTC
Created attachment 20172 [details]
dump from anaconda during install

Comment 2 Brent Fox 2001-06-04 15:21:32 UTC
I can't read the attachment for some reason.  Can you try attaching it again?

Comment 3 Panic 2001-06-04 15:52:01 UTC
Created attachment 20212 [details]
Mr. Atkin's anacdump

Comment 4 Panic 2001-06-04 15:57:32 UTC
He's trying to do an upgrade in text mode to a machine with an existing software
RAID configuration, and the text mode anaconda doesn't seem to be handling it
right.  This was brought on by his mouse not working (no GUI install without a
mouse), he's looking into that.

Comment 5 Brent Fox 2001-06-04 18:54:33 UTC
Can you attach the existing /etc/fstab and /etc/raidtab files?  Also, the output
of 'fdisk -l' on all the drives in the machine would be very helpful.

I've seen situations in the past where there were old RAID partitions laying
around that had basically been orphaned.  The installer finds these partitions,
but it can't find the other partitions that were part of the original RAID
setup, and it doesn't know what to do.  I don't know for sure that that's the
problem here, but it's an idea.

Comment 6 Brent Fox 2001-06-14 13:57:56 UTC
Closing due to inactivity. Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.